<template lang='pug'>
  section.space-bg
    .container
      .wrapper
        .wrapper-text
          BaseText.welcome-big-text-space(size='text-lrg') Фабрика по производству биороботов
          BaseText(size='text-bg-md', skin='grey') класса «монитор-кресло»
        .logo-container
          .logo-circle
          img.l-robot(src='../../assets/img/blue_robot.png')
          img.r-robot(src='../../assets/img/designer_robot_.png')
</template>

<script lang='ts'>
import Vue from 'vue'
import Component from 'vue-class-component'

import BaseText from '../BaseText.vue'

@Component({
  components: {
    BaseText
  }
})
export default class Stock extends Vue {
}
</script>

<style lang='scss' scoped>
@import '../../assets/styles/config/variables.scss';

.wrapper {
  display: grid;

  grid-template-columns: repeat(8, 1fr);
  column-gap: 24px;

  align-items: center;
}

.wrapper-text {
  grid-column: 2 / 5;
}

.logo-container {
  grid-column: 6 / 9;
}

.logo-circle {
  width: 275px;
  height: 275px;

  position: absolute;

  margin-top: 4px;
  margin-left: 31px;

  z-index: -1;

  background: $logo-circle-color;
  border-radius: 150px;
}

.l-robot {
  width: 176px;
  height: 309.31px;

  margin-top: 0.69px;
  margin-bottom: 10px;
}

.r-robot {
  width: 138.35px;
  height: 195.89px;

  margin-bottom: 22.11px;
  margin-left: 20px;
}
</style>
